org.modeshape.jcr

## Class RepositoryConfiguration.GarbageCollection

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.GarbageCollection

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.GarbageCollection
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.GarbageCollection(Document garbageCollection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInitialTimeExpression()` Get the time that the first garbage collection process should be run.
    `int` | `getIntervalInHours()` Get the garbage collection interval in hours.
    `int` | `getLockSweepIntervalInMinutes()` Get the number of minutes between sweeping the locks.
    `String` | `getThreadPoolName()` Get the name of the thread pool that should be used for garbage collection work.
    `long` | `getUnusedBinaryValueTimeInMillis()` Get the minimum time that a binary value should be unused before it can be garbage collected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.GarbageCollection

          protected RepositoryConfiguration.GarbageCollection(Document garbageCollection)

  - ### Method Detail

    - #### getThreadPoolName

          public String getThreadPoolName()

      Get the name of the thread pool that should be used for garbage collection work.
      Returns:
        the thread pool name; never null

    - #### getInitialTimeExpression

          public String getInitialTimeExpression()

      Get the time that the first garbage collection process should be run.
      Returns:
        the initial time; never null

    - #### getIntervalInHours

          public int getIntervalInHours()

      Get the garbage collection interval in hours.
      Returns:
        the interval; never null

    - #### getUnusedBinaryValueTimeInMillis

          public long getUnusedBinaryValueTimeInMillis()

      Get the minimum time that a binary value should be unused before it can be garbage collected.
      Returns:
        the minimum time; never null

    - #### getLockSweepIntervalInMinutes

          public int getLockSweepIntervalInMinutes()

      Get the number of minutes between sweeping the locks.
      Returns:
        the interval for lock sweeping, in minutes; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.